# Uses of Class
javax.swing.JFrame

Packages that use JFrame
Package
Description
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JFrame in java.awt.im.spi

Methods in java.awt.im.spi that return JFrame
Modifier and Type
Method
Description
`JFrame`
InputMethodContext.`createInputMethodJFrame(String title, boolean attachToInputContext)`
Creates a top-level Swing JFrame for use by the input method.

## Uses of JFrame in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic that return JFrame
Modifier and Type
Method
Description
`protected JFrame`
BasicToolBarUI.`createFloatingFrame(JToolBar toolbar)`
Deprecated, for removal: This API element is subject to removal in a future version.
It is recommended that `BasicToolBarUI.createFloatingWindow(JToolBar)` be used instead